# Method: groups.memberships.lookup

Looks up the [resource name](https://cloud.google.com/apis/design/resource_names) of a `Membership` by its `EntityKey`.

### HTTP request

`GET https://cloudidentity.googleapis.com/v1/{parent=groups/*}/memberships:lookup`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent `Group` resource under which to lookup the `Membership` name. Must be of the form `groups/{group}`. |

### Query parameters

| Parameters ||
|---|---|
| `memberKey` | ``object (`https://docs.cloud.google.com/identity/docs/reference/rest/v1/EntityKey`)`` Required. The `https://docs.cloud.google.com/identity/docs/reference/rest/v1/EntityKey` of the member to lookup. |

### Request body

The request body must be empty.

### Response body

The response message for `https://docs.cloud.google.com/identity/docs/reference/rest/v1/groups.memberships/lookup#google.apps.cloudidentity.groups.v1.MembershipsService.LookupMembershipName`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "name": string } ``` |

| Fields ||
|---|---|
| `name` | `string` The [resource name](https://cloud.google.com/apis/design/resource_names) of the looked-up `Membership`. Must be of the form `groups/{group}/memberships/{membership}`. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-identity.groups.readonly`
- `https://www.googleapis.com/auth/cloud-identity.groups`
- `https://www.googleapis.com/auth/cloud-identity`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).